/*

	Filename:   CDInstall.prg
   Version:    1.00
   Date:       2000/02/27

   For:        VdBase 7.x / Win9x

   Author:     Ronnie MacGregor
   Contact:    Ronnie@High-Lugtonridge.co.uk

	
   Revisions:
   **********

      None  

   Description:
   ************

      This prg should be compiled to "Install.exe".

      Install.exe is designed to be found in the root directory
      of an application distribution CD by Window's Add/Remove
      Programs dialogue.

      It assumes that the InstallShield Setup.exe will be found as
      CDROM\DISK1\Setup.exe 
      

   CDInstall Syntax:
   ****************

      Install.exe can be run from an AUTORUN.INF file if this is
      desired, i.e. the CD's only purpose is that of installation.
      The AUTORUN.INF should contain the following:

      [autorun]
      OPEN=Install.exe
      ICON=MyChosen.ico
  
   
   Dependancies:
   *************

      Vdb7run.exe  Vdb70009.dll (or other language version) and
      Resource.dll must be found in the root directory of the CD.


   Compilation:
   ************

      CD.ico should be used as the exe icon to be used for the task
      bar button should it hang around long enough to be seen.

      CDInstall.bmp should be used as the splash screen so that the
      user has something to look at while the program loads up !!

   Acknowledgements:
   *****************

      None.
            
             
*/


Function CDInstall
//
nInstallResult = run(true,"DISK1\Setup.exe")
if nInstallResult # 0 // 0 success, 2 fail
   msgbox("Launch of DISK1\Setup.exe failed.","CD Error",16)
endif
return

//eop
